Products

Get details of product preferences

Use this method to obtain information about specific preferences added to a product.

GET
/api/v2/my/products/{productId}/preferences/{preferenceId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

productId*integer

The product identifier.

preferenceId*integer

The identifier of product prefernces.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/products/1/preferences/1" \  -H "accept-language: ja"
{  "id": 0,  "title": "string",  "value": "string",  "resources": [    {      "key": "caption",      "locale": "en_En",      "value": "value"    }  ]}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}